# django-braces

`django-braces` provides useful Mixins for Django's class-based views.
Most of these mixins replicate the behavior of Django's function-based view
decorators. Others solve common headaches with working with class-based views.
You can read more in [the documentation](https://django-braces.readthedocs.io/en/latest/index.html).

![Build](https://github.com/brack3t/django-braces/actions/workflows/ci.yml/badge.svg?branch=main)
[![PyPI version](https://badge.fury.io/py/django-braces.svg)](http://badge.fury.io/py/django-braces)
[![codecov](https://codecov.io/gh/brack3t/django-braces/branch/main/graph/badge.svg?token=aBhzbsyyTi)](https://codecov.io/gh/brack3t/django-braces)

## Notes

`django-braces` is stable and time-tested. It does not receive a lot of updates
and is not in active development.

`django-braces` also only officially supports Python version that are still
receiving fixes and Django LTS versions. `django-braces` will work with most
modern version of Python and Django, however.

## Installation

Install from PyPI with `pip`: `pip install django-braces`

## Contributing

See our [contribution guide](https://django-braces.readthedocs.io/en/latest/contributing.html)

Add yourself to `CONTRIBUTORS.txt` if you want.

All development dependencies are available in `requirements.txt` file.

To run the test suite, please install `pytest` and run `pytest` at the root
of the repository.

## Change Log

[Changelog on Read The Docs](https://django-braces.readthedocs.io/en/latest/changelog.html)
